Package net.sourceforge.jiu.apps

# Interface MenuIndexConstants

All Known Implementing Classes:
  `AwtOperationProcessor`, `EditorState`, `OperationProcessor`

public interface MenuIndexConstants
Constant int values for all menu items. Some of these menu items denote operations which can be performed by `OperationProcessor`.

Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COLOR`
`static final int`
`COLOR_ADJUST`
`static final int`
`COLOR_ADJUST_BRIGHTNESS`
`static final int`
`COLOR_ADJUST_CONTRAST`
`static final int`
`COLOR_ADJUST_GAMMA`
`static final int`
`COLOR_ADJUST_HUESATURATIONVALUE`
`static final int`
`COLOR_CONVERTTOMINIMUMCOLORTYPE`
`static final int`
`COLOR_HISTOGRAM`
`static final int`
`COLOR_HISTOGRAM_COUNTCOLORSUSED`
`static final int`
`COLOR_HISTOGRAM_EQUALIZE`
`static final int`
`COLOR_HISTOGRAM_NORMALIZE`
`static final int`
`COLOR_HISTOGRAM_SAVECOOCCURRENCEFREQUENCYMATRIXAS`
`static final int`
`COLOR_HISTOGRAM_SAVECOOCCURRENCEMATRIXAS`
`static final int`
`COLOR_HISTOGRAM_SAVEHISTOGRAMAS`
`static final int`
`COLOR_HISTOGRAM_TEXTUREPROPERTIES`
`static final int`
`COLOR_INVERT`
`static final int`
`COLOR_PALETTE`
`static final int`
`COLOR_PALETTE_SAVEAS`
`static final int`
`COLOR_PROMOTE`
`static final int`
`COLOR_PROMOTE_PROMOTETOGRAY16`
`static final int`
`COLOR_PROMOTE_PROMOTETOGRAY8`
`static final int`
`COLOR_PROMOTE_PROMOTETOPALETTED`
`static final int`
`COLOR_PROMOTE_PROMOTETORGB24`
`static final int`
`COLOR_PROMOTE_PROMOTETORGB48`
`static final int`
`COLOR_REDUCE`
`static final int`
`COLOR_REDUCE_CONVERTTOGRAYSCALE`
`static final int`
`COLOR_REDUCE_MAPTOARBITRARYPALETTE`
`static final int`
`COLOR_REDUCE_MEDIANCUT`
`static final int`
`COLOR_REDUCE_OCTREE`
`static final int`
`COLOR_REDUCE_REDUCENUMBEROFSHADESOFGRAY`
`static final int`
`COLOR_REDUCE_REDUCETOBILEVELTHRESHOLD`
`static final int`
`COLOR_REDUCE_UNIFORMPALETTE`
`static final int`
`EDIT`
`static final int`
`EDIT_REDO`
`static final int`
`EDIT_UNDO`
`static final int`
`FILE`
`static final int`
`FILE_CLOSE`
`static final int`
`FILE_EXIT`
`static final int`
`FILE_IMAGE_1`
`static final int`
`FILE_OPEN`
`static final int`
`FILE_SAVEAS`
`static final int`
`FILE_SAVEAS_GIF`
`static final int`
`FILE_SAVEAS_PALM`
`static final int`
`FILE_SAVEAS_PBM`
`static final int`
`FILE_SAVEAS_PGM`
`static final int`
`FILE_SAVEAS_PNG`
`static final int`
`FILE_SAVEAS_PPM`
`static final int`
`FILE_SAVEAS_SUNRASTER`
`static final int`
`FILE_SAVEAS_WINDOWSBMP`
`static final int`
`FILTERS`
`static final int`
`FILTERS_BLUR`
`static final int`
`FILTERS_EDGEDETECTION`
`static final int`
`FILTERS_EMBOSS`
`static final int`
`FILTERS_HORIZONTALPREWITT`
`static final int`
`FILTERS_HORIZONTALSOBEL`
`static final int`
`FILTERS_LITHOGRAPH`
`static final int`
`FILTERS_MAXIMUM`
`static final int`
`FILTERS_MEAN`
`static final int`
`FILTERS_MEDIAN`
`static final int`
`FILTERS_MINIMUM`
`static final int`
`FILTERS_OIL`
`static final int`
`FILTERS_PSYCHEDELICDISTILLATION`
`static final int`
`FILTERS_SHARPEN`
`static final int`
`FILTERS_VERTICALPREWITT`
`static final int`
`FILTERS_VERTICALSOBEL`
`static final int`
`HELP`
`static final int`
`HELP_ABOUT`
`static final int`
`HELP_SYSTEMINFORMATION`
`static final int`
`NUM_CONSTANTS`
`static final int`
`TRANSFORMATIONS`
`static final int`
`TRANSFORMATIONS_CROP`
`static final int`
`TRANSFORMATIONS_FLIP`
`static final int`
`TRANSFORMATIONS_MIRROR`
`static final int`
`TRANSFORMATIONS_ROTATE180`
`static final int`
`TRANSFORMATIONS_ROTATELEFT90`
`static final int`
`TRANSFORMATIONS_ROTATERIGHT90`
`static final int`
`TRANSFORMATIONS_SCALE`
`static final int`
`TRANSFORMATIONS_SHEAR`
`static final int`
`VIEW`
`static final int`
`VIEW_INTERPOLATIONTYPE`
`static final int`
`VIEW_INTERPOLATIONTYPE_BICUBIC`
`static final int`
`VIEW_INTERPOLATIONTYPE_BILINEAR`
`static final int`
`VIEW_INTERPOLATIONTYPE_NEARESTNEIGHBOR`
`static final int`
`VIEW_SETORIGINALSIZE`
`static final int`
`VIEW_ZOOMIN`
`static final int`
`VIEW_ZOOMOUT`

## Field Details

### FILE

static final int FILE

See Also:
  - Constant Field Values

### FILE_OPEN

static final int FILE_OPEN

See Also:
  - Constant Field Values

### FILE_SAVEAS

static final int FILE_SAVEAS

See Also:
  - Constant Field Values

### FILE_SAVEAS_GIF

static final int FILE_SAVEAS_GIF

See Also:
  - Constant Field Values

### FILE_SAVEAS_PALM

static final int FILE_SAVEAS_PALM

See Also:
  - Constant Field Values

### FILE_SAVEAS_PBM

static final int FILE_SAVEAS_PBM

See Also:
  - Constant Field Values

### FILE_SAVEAS_PGM

static final int FILE_SAVEAS_PGM

See Also:
  - Constant Field Values

### FILE_SAVEAS_PNG

static final int FILE_SAVEAS_PNG

See Also:
  - Constant Field Values

### FILE_SAVEAS_PPM

static final int FILE_SAVEAS_PPM

See Also:
  - Constant Field Values

### FILE_SAVEAS_SUNRASTER

static final int FILE_SAVEAS_SUNRASTER

See Also:
  - Constant Field Values

### FILE_SAVEAS_WINDOWSBMP

static final int FILE_SAVEAS_WINDOWSBMP

See Also:
  - Constant Field Values

### FILE_IMAGE_1

static final int FILE_IMAGE_1

See Also:
  - Constant Field Values

### FILE_CLOSE

static final int FILE_CLOSE

See Also:
  - Constant Field Values

### FILE_EXIT

static final int FILE_EXIT

See Also:
  - Constant Field Values

### EDIT

static final int EDIT

See Also:
  - Constant Field Values

### EDIT_UNDO

static final int EDIT_UNDO

See Also:
  - Constant Field Values

### EDIT_REDO

static final int EDIT_REDO

See Also:
  - Constant Field Values

### COLOR

static final int COLOR

See Also:
  - Constant Field Values

### COLOR_ADJUST

static final int COLOR_ADJUST

See Also:
  - Constant Field Values

### COLOR_ADJUST_BRIGHTNESS

static final int COLOR_ADJUST_BRIGHTNESS

See Also:
  - Constant Field Values

### COLOR_ADJUST_CONTRAST

static final int COLOR_ADJUST_CONTRAST

See Also:
  - Constant Field Values

### COLOR_ADJUST_GAMMA

static final int COLOR_ADJUST_GAMMA

See Also:
  - Constant Field Values

### COLOR_ADJUST_HUESATURATIONVALUE

static final int COLOR_ADJUST_HUESATURATIONVALUE

See Also:
  - Constant Field Values

### COLOR_HISTOGRAM

static final int COLOR_HISTOGRAM

See Also:
  - Constant Field Values

### COLOR_HISTOGRAM_COUNTCOLORSUSED

static final int COLOR_HISTOGRAM_COUNTCOLORSUSED

See Also:
  - Constant Field Values

### COLOR_HISTOGRAM_EQUALIZE

static final int COLOR_HISTOGRAM_EQUALIZE

See Also:
  - Constant Field Values

### COLOR_HISTOGRAM_NORMALIZE

static final int COLOR_HISTOGRAM_NORMALIZE

See Also:
  - Constant Field Values

### COLOR_HISTOGRAM_TEXTUREPROPERTIES

static final int COLOR_HISTOGRAM_TEXTUREPROPERTIES

See Also:
  - Constant Field Values

### COLOR_HISTOGRAM_SAVEHISTOGRAMAS

static final int COLOR_HISTOGRAM_SAVEHISTOGRAMAS

See Also:
  - Constant Field Values

### COLOR_HISTOGRAM_SAVECOOCCURRENCEMATRIXAS

static final int COLOR_HISTOGRAM_SAVECOOCCURRENCEMATRIXAS

See Also:
  - Constant Field Values

### COLOR_HISTOGRAM_SAVECOOCCURRENCEFREQUENCYMATRIXAS

static final int COLOR_HISTOGRAM_SAVECOOCCURRENCEFREQUENCYMATRIXAS

See Also:
  - Constant Field Values

### COLOR_PALETTE

static final int COLOR_PALETTE

See Also:
  - Constant Field Values

### COLOR_PALETTE_SAVEAS

static final int COLOR_PALETTE_SAVEAS

See Also:
  - Constant Field Values

### COLOR_PROMOTE

static final int COLOR_PROMOTE

See Also:
  - Constant Field Values

### COLOR_PROMOTE_PROMOTETOPALETTED

static final int COLOR_PROMOTE_PROMOTETOPALETTED

See Also:
  - Constant Field Values

### COLOR_PROMOTE_PROMOTETOGRAY8

static final int COLOR_PROMOTE_PROMOTETOGRAY8

See Also:
  - Constant Field Values

### COLOR_PROMOTE_PROMOTETOGRAY16

static final int COLOR_PROMOTE_PROMOTETOGRAY16

See Also:
  - Constant Field Values

### COLOR_PROMOTE_PROMOTETORGB24

static final int COLOR_PROMOTE_PROMOTETORGB24

See Also:
  - Constant Field Values

### COLOR_PROMOTE_PROMOTETORGB48

static final int COLOR_PROMOTE_PROMOTETORGB48

See Also:
  - Constant Field Values

### COLOR_REDUCE

static final int COLOR_REDUCE

See Also:
  - Constant Field Values

### COLOR_REDUCE_REDUCETOBILEVELTHRESHOLD

static final int COLOR_REDUCE_REDUCETOBILEVELTHRESHOLD

See Also:
  - Constant Field Values

### COLOR_REDUCE_REDUCENUMBEROFSHADESOFGRAY

static final int COLOR_REDUCE_REDUCENUMBEROFSHADESOFGRAY

See Also:
  - Constant Field Values

### COLOR_REDUCE_CONVERTTOGRAYSCALE

static final int COLOR_REDUCE_CONVERTTOGRAYSCALE

See Also:
  - Constant Field Values

### COLOR_REDUCE_MEDIANCUT

static final int COLOR_REDUCE_MEDIANCUT

See Also:
  - Constant Field Values

### COLOR_REDUCE_OCTREE

static final int COLOR_REDUCE_OCTREE

See Also:
  - Constant Field Values

### COLOR_REDUCE_UNIFORMPALETTE

static final int COLOR_REDUCE_UNIFORMPALETTE

See Also:
  - Constant Field Values

### COLOR_REDUCE_MAPTOARBITRARYPALETTE

static final int COLOR_REDUCE_MAPTOARBITRARYPALETTE

See Also:
  - Constant Field Values

### COLOR_INVERT

static final int COLOR_INVERT

See Also:
  - Constant Field Values

### COLOR_CONVERTTOMINIMUMCOLORTYPE

static final int COLOR_CONVERTTOMINIMUMCOLORTYPE

See Also:
  - Constant Field Values

### TRANSFORMATIONS

static final int TRANSFORMATIONS

See Also:
  - Constant Field Values

### TRANSFORMATIONS_FLIP

static final int TRANSFORMATIONS_FLIP

See Also:
  - Constant Field Values

### TRANSFORMATIONS_MIRROR

static final int TRANSFORMATIONS_MIRROR

See Also:
  - Constant Field Values

### TRANSFORMATIONS_ROTATELEFT90

static final int TRANSFORMATIONS_ROTATELEFT90

See Also:
  - Constant Field Values

### TRANSFORMATIONS_ROTATERIGHT90

static final int TRANSFORMATIONS_ROTATERIGHT90

See Also:
  - Constant Field Values

### TRANSFORMATIONS_ROTATE180

static final int TRANSFORMATIONS_ROTATE180

See Also:
  - Constant Field Values

### TRANSFORMATIONS_CROP

static final int TRANSFORMATIONS_CROP

See Also:
  - Constant Field Values

### TRANSFORMATIONS_SCALE

static final int TRANSFORMATIONS_SCALE

See Also:
  - Constant Field Values

### TRANSFORMATIONS_SHEAR

static final int TRANSFORMATIONS_SHEAR

See Also:
  - Constant Field Values

### FILTERS

static final int FILTERS

See Also:
  - Constant Field Values

### FILTERS_BLUR

static final int FILTERS_BLUR

See Also:
  - Constant Field Values

### FILTERS_SHARPEN

static final int FILTERS_SHARPEN

See Also:
  - Constant Field Values

### FILTERS_EDGEDETECTION

static final int FILTERS_EDGEDETECTION

See Also:
  - Constant Field Values

### FILTERS_EMBOSS

static final int FILTERS_EMBOSS

See Also:
  - Constant Field Values

### FILTERS_PSYCHEDELICDISTILLATION

static final int FILTERS_PSYCHEDELICDISTILLATION

See Also:
  - Constant Field Values

### FILTERS_LITHOGRAPH

static final int FILTERS_LITHOGRAPH

See Also:
  - Constant Field Values

### FILTERS_HORIZONTALSOBEL

static final int FILTERS_HORIZONTALSOBEL

See Also:
  - Constant Field Values

### FILTERS_VERTICALSOBEL

static final int FILTERS_VERTICALSOBEL

See Also:
  - Constant Field Values

### FILTERS_HORIZONTALPREWITT

static final int FILTERS_HORIZONTALPREWITT

See Also:
  - Constant Field Values

### FILTERS_VERTICALPREWITT

static final int FILTERS_VERTICALPREWITT

See Also:
  - Constant Field Values

### FILTERS_MINIMUM

static final int FILTERS_MINIMUM

See Also:
  - Constant Field Values

### FILTERS_MAXIMUM

static final int FILTERS_MAXIMUM

See Also:
  - Constant Field Values

### FILTERS_MEDIAN

static final int FILTERS_MEDIAN

See Also:
  - Constant Field Values

### FILTERS_MEAN

static final int FILTERS_MEAN

See Also:
  - Constant Field Values

### FILTERS_OIL

static final int FILTERS_OIL

See Also:
  - Constant Field Values

### VIEW

static final int VIEW

See Also:
  - Constant Field Values

### VIEW_ZOOMIN

static final int VIEW_ZOOMIN

See Also:
  - Constant Field Values

### VIEW_ZOOMOUT

static final int VIEW_ZOOMOUT

See Also:
  - Constant Field Values

### VIEW_SETORIGINALSIZE

static final int VIEW_SETORIGINALSIZE

See Also:
  - Constant Field Values

### VIEW_INTERPOLATIONTYPE

static final int VIEW_INTERPOLATIONTYPE

See Also:
  - Constant Field Values

### VIEW_INTERPOLATIONTYPE_NEARESTNEIGHBOR

static final int VIEW_INTERPOLATIONTYPE_NEARESTNEIGHBOR

See Also:
  - Constant Field Values

### VIEW_INTERPOLATIONTYPE_BILINEAR

static final int VIEW_INTERPOLATIONTYPE_BILINEAR

See Also:
  - Constant Field Values

### VIEW_INTERPOLATIONTYPE_BICUBIC

static final int VIEW_INTERPOLATIONTYPE_BICUBIC

See Also:
  - Constant Field Values

### HELP

static final int HELP

See Also:
  - Constant Field Values

### HELP_ABOUT

static final int HELP_ABOUT

See Also:
  - Constant Field Values

### HELP_SYSTEMINFORMATION

static final int HELP_SYSTEMINFORMATION

See Also:
  - Constant Field Values

### NUM_CONSTANTS

static final int NUM_CONSTANTS

See Also:
  - Constant Field Values